GUILDEDSCORNEDLEGIONDKP_CATEGORY_OFFICER	= "DKP";
GUILDEDSCORNEDLEGIONDKP_CATEGORY_MINION		= "";

GuildedScornedLegionDKPOfficers = {
-- The Scorned officers
	"Deffy", "Defiance",
	"Maurgrim", "Maurgrom",
	"Sarf", "Rafs", "Fras", "Pren",
	"Trouble", "Biscuit",
-- Renegade Legion PvE officers
	"Budmonkey",
	"Gromagrim",
	"Iron",
	"Isador",
	"Kaldor",
	"Nikodemus",
};

-- quick lookup list
GuildedScornedLegionDKPOfficers_UseHash = 0;
GuildedScornedLegionDKPOfficers_Hashed = {};

function GuildedScornedLegionDKP_Setup()
	if ( GuildedScornedLegionDKPOfficers_UseHash == 1 ) then
		
		local hashIndex = nil;
		for k, v in GuildedScornedLegionDKPOfficers do
			hashIndex = string.sub(v, 1, 1);
			if ( not GuildedScornedLegionDKPOfficers_Hashed[hashIndex] ) then
				GuildedScornedLegionDKPOfficers_Hashed[hashIndex] = {};
			end
			table.insert(GuildedScornedLegionDKPOfficers_Hashed[hashIndex], v);
		end
		GuildedScornedLegionDKP_IsDKPOfficer_NonHashed = GuildedScornedLegionDKP_IsDKPOfficer;
		GuildedScornedLegionDKP_IsDKPOfficer = GuildedScornedLegionDKP_IsDKPOfficer_Hashed;
	end
end

function GuildedScornedLegionDKP_IsDKPOfficer(playerName)
	if ( not playerName ) then
		return false;
	end
	for k, v in GuildedScornedLegionDKPOfficers do
		if ( v == playerName ) then
			return true;
		end
	end
	return false;
end

function GuildedScornedLegionDKP_IsDKPOfficer_Hashed(playerName)
	if ( not playerName ) then
		return false;
	end
	local list = GuildedScornedLegionDKPOfficers_Hashed[string.sub(playerName, 1, 1)];
	for k, v in list do
		if ( v == playerName ) then
			return true;
		end
	end
	return false;
end

function GuildedScornedLegionDKP_IsPlayerDKPOfficer()
	return GuildedScornedLegionDKP_IsDKPOfficer(UnitName("player"));
end

function GuildedScornedLegionDKP_GetCategory()
	if ( GuildedScornedLegionDKP_IsPlayerDKPOfficer() ) then
		return GUILDEDSCORNEDLEGIONDKP_CATEGORY_OFFICER;
	else
		return GUILDEDSCORNEDLEGIONDKP_CATEGORY_MINION;
	end
end



